Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/Debug/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/Debug/Makefile	(revision 374)
@@ -172,5 +172,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -226,5 +226,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o client.o jsonsl.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEnbt/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEnbt/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEnbt/Makefile	(revision 374)
@@ -172,5 +172,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -226,5 +226,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o client.o jsonsl.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEther/Makefile	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/DebugEther/Makefile	(revision 374)
@@ -172,5 +172,5 @@
 #  共通コンパイルオプションの定義
 #
-COPTS := -g -std=gnu99 $(COPTS)
+COPTS := -g -std=gnu99 -ffunction-sections -fdata-sections $(COPTS)
 ifndef OMIT_WARNING_ALL
 	COPTS := -Wall $(COPTS)
@@ -226,5 +226,5 @@
 	APPL_COBJS := $(APPL_COBJS) main.o ntshell_main.o echonet_main.o client.o jsonsl.o
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_BINOBJS := rom_fs.o
 APPL_CFLAGS := $(APPL_CFLAGS) -nostdinc
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/client.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/client.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/client.c	(revision 374)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: client.c 1729 2019-01-09 14:44:36Z coas-nagasima $
+ *  @(#) $Id$
  */
 #include <lib/curl_config.h>
@@ -47,5 +47,5 @@
 #include "kernel_cfg.h"
 #include "ff.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "client.h"
 #include "jsonsl.h"
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/client.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/client.h	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/client.h	(revision 374)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: client.h 1784 2019-02-06 01:11:25Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/echonet_main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/echonet_main.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/echonet_main.c	(revision 374)
@@ -905,18 +905,18 @@
 static uint8_t main_read_button(analogin_t *obj)
 {
-	float a = analogin_read(obj);
-
-	a *= 5.0;
+	int a = analogin_read_u16(obj);
+
+	a *= 5;
 
 	//printf("Button read analog = %f\r\n",a);
-	if (a < 0.2)
+	if (a < (int)(0.2 * 65536))
 		return BUTTON_DOWN;
-	if (a < 1.0)
+	if (a < (int)(1.0 * 65536))
 		return BUTTON_RIGHT;
-	if (a < 1.7)
+	if (a < (int)(1.7 * 65536))
 		return BUTTON_SELECT;
-	if (a < 2.6)
+	if (a < (int)(2.6 * 65536))
 		return BUTTON_UP;
-	if (a < 4.6)
+	if (a < (int)(4.6 * 65536))
 		return BUTTON_LEFT;
 	else
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.c	(revision 374)
@@ -68,5 +68,5 @@
 #include "core/ntshell.h"
 #include "core/ntlibc.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "usrcmd.h"
 #include "util/ntopt.h"
@@ -192,19 +192,14 @@
 {
 	FILINFO fno;
-#if _USE_LFN
-	char lfn[_MAX_LFN + 1];
+#if FF_USE_LFN
+	char lfn[FF_MAX_LFN + 1];
 	fno.lfname = lfn;
-	fno.lfsize = _MAX_LFN + 1;
+	fno.lfsize = FF_MAX_LFN + 1;
 #endif
 	ER ret;
 
-#ifdef TOPPERS_OMIT_TECS
-	serial_opn_por(SIO_PORTID);
-#endif
-	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
-
 	//wolfSSL_Debugging_ON();
 
-	ntshell_task_init(uart_read, uart_write, &main_obj);
+	ntshell_task_init(SIO_PORTID);
 
 	main_obj.timer = TMO_FEVR;
Index: asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.cfg
===================================================================
--- asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.cfg	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/app1_usb_watt_meter/src/main.cfg	(revision 374)
@@ -51,4 +51,5 @@
 
 INCLUDE("tecsgen.cfg");
+INCLUDE("mbed_stub.cfg");
 
 INCLUDE("tinet/tinet_asp.cfg");
